FROM golang:1.23 AS build

WORKDIR /app
RUN git clone https://github.com/kradalby/truenas_exporter.git .
RUN go build -o truenas_exporter .

FROM debian:stable-slim
WORKDIR /root/
COPY --from=build /app/truenas_exporter .
EXPOSE 9163
ENTRYPOINT ["./truenas_exporter"]
